## Store catalog credentials `client.r2DataCatalog.credentials.create(stringbucketName, CredentialCreateParamsparams, RequestOptionsoptions?): CredentialCreateResponse | null` **post** `/accounts/{account_id}/r2-catalog/{bucket_name}/credential` Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations. ### Parameters - `bucketName: string` Specifies the R2 bucket name. - `params: CredentialCreateParams` - `account_id: string` Path param: Use this to identify the account. - `token: string` Body param: Provides the Cloudflare API token for accessing R2. ### Returns - `CredentialCreateResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const credential = await client.r2DataCatalog.credentials.create('my-data-bucket', { account_id: '0123456789abcdef0123456789abcdef', token: 'your-cloudflare-api-token-here', }); console.log(credential); ``` #### Response ```json { "errors": [], "messages": [], "result": null, "success": true } ```